Mailinglist Archive: opensuse-security-announce (37 mails)

< Previous Next >
[security-announce] openSUSE-SU-2012:1200-1: important: freeradius: fix stack overflow in TLS handling
openSUSE Security Update: freeradius: fix stack overflow in TLS handling
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:1200-1
Rating: important
References: #677335 #777834
Cross-References: CVE-2012-3547
Affected Products:
openSUSE 12.2
openSUSE 12.1
openSUSE 11.4
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update of freeradius fixes a stack overflow in TLS
handling, which can be exploited by remote attackers able
to access Radius to execute code.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2012-616

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-616

- openSUSE 11.4:

zypper in -t patch openSUSE-2012-616

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

freeradius-server-2.1.12-4.4.1
freeradius-server-debuginfo-2.1.12-4.4.1
freeradius-server-debugsource-2.1.12-4.4.1
freeradius-server-devel-2.1.12-4.4.1
freeradius-server-dialupadmin-2.1.12-4.4.1
freeradius-server-doc-2.1.12-4.4.1
freeradius-server-libs-2.1.12-4.4.1
freeradius-server-libs-debuginfo-2.1.12-4.4.1
freeradius-server-utils-2.1.12-4.4.1
freeradius-server-utils-debuginfo-2.1.12-4.4.1

- openSUSE 12.1 (i586 x86_64):

freeradius-server-2.1.12-4.1
freeradius-server-debuginfo-2.1.12-4.1
freeradius-server-debugsource-2.1.12-4.1
freeradius-server-devel-2.1.12-4.1
freeradius-server-dialupadmin-2.1.12-4.1
freeradius-server-doc-2.1.12-4.1
freeradius-server-libs-2.1.12-4.1
freeradius-server-libs-debuginfo-2.1.12-4.1
freeradius-server-utils-2.1.12-4.1
freeradius-server-utils-debuginfo-2.1.12-4.1

- openSUSE 11.4 (i586 x86_64):

freeradius-server-2.1.10-8.1
freeradius-server-debuginfo-2.1.10-8.1
freeradius-server-debugsource-2.1.10-8.1
freeradius-server-devel-2.1.10-8.1
freeradius-server-dialupadmin-2.1.10-8.1
freeradius-server-doc-2.1.10-8.1
freeradius-server-libs-2.1.10-8.1
freeradius-server-libs-debuginfo-2.1.10-8.1
freeradius-server-utils-2.1.10-8.1
freeradius-server-utils-debuginfo-2.1.10-8.1


References:

http://support.novell.com/security/cve/CVE-2012-3547.html
https://bugzilla.novell.com/677335
https://bugzilla.novell.com/777834

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages